import { p as proxyCustomElement, H, h, F as Fragment } from './p-4a8dc038.js';
import { d as defineCustomElement$5 } from './p-66283c87.js';
import { d as defineCustomElement$4 } from './p-3e62cb0c.js';
import { d as defineCustomElement$3 } from './p-0253d022.js';
import { d as defineCustomElement$2 } from './p-691e20e4.js';
import { d as defineCustomElement$1 } from './p-ca32a068.js';

const transactionToastDetailsCss = ".status-title{font-size:0.875rem;margin:0.25rem 0 0.5rem;line-height:1.5}";
const TransactionToastDetailsStyle0 = transactionToastDetailsCss;

const TransactionDetails = /*@__PURE__*/ proxyCustomElement(class TransactionDetails extends H {
    constructor() {
        super();
        this.__registerHost();
        this.__attachShadow();
    }
    render() {
        if (this.transactions == null) {
            return null;
        }
        return (h(Fragment, null, h("div", { class: "status-title" }, this.processedTransactionsStatus), this.transactions.map(({ hash, status, link }) => (h("transaction-toast-details-body", { transactionClass: this.transactionClass, hash: hash, status: status, link: link, key: hash })))));
    }
    static get style() { return TransactionToastDetailsStyle0; }
}, [1, "transaction-toast-details", {
        "processedTransactionsStatus": [1, "processed-transactions-status"],
        "transactions": [16],
        "transactionClass": [1, "transaction-class"]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["transaction-toast-details", "copy-button", "explorer-link", "fa-icon", "transaction-toast-details-body", "trim-text"];
    components.forEach(tagName => { switch (tagName) {
        case "transaction-toast-details":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, TransactionDetails);
            }
            break;
        case "copy-button":
            if (!customElements.get(tagName)) {
                defineCustomElement$5();
            }
            break;
        case "explorer-link":
            if (!customElements.get(tagName)) {
                defineCustomElement$4();
            }
            break;
        case "fa-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$3();
            }
            break;
        case "transaction-toast-details-body":
            if (!customElements.get(tagName)) {
                defineCustomElement$2();
            }
            break;
        case "trim-text":
            if (!customElements.get(tagName)) {
                defineCustomElement$1();
            }
            break;
    } });
}

export { TransactionDetails as T, defineCustomElement as d };

//# sourceMappingURL=p-faddfd8c.js.map